org.apache.tinkerpop.gremlin.server

## Class Settings.GangliaReporterMetrics

- java.lang.Object
- - org.apache.tinkerpop.gremlin.server.Settings.BaseMetrics
  - - org.apache.tinkerpop.gremlin.server.Settings.IntervalMetrics
    - - org.apache.tinkerpop.gremlin.server.Settings.HostPortIntervalMetrics
      - - org.apache.tinkerpop.gremlin.server.Settings.GangliaReporterMetrics

- Enclosing class:
    Settings

      public static class Settings.GangliaReporterMetrics
      extends Settings.HostPortIntervalMetrics

  Settings for a `Metrics` reporter that writes to Ganglia.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `addressingMode`
    `UUID` | `hostUUID`
    `boolean` | `protocol31`
    `String` | `spoof`
    `int` | `ttl`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.Settings.HostPortIntervalMetrics

      `host, port`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.Settings.IntervalMetrics

      `interval`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.server.Settings.BaseMetrics

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GangliaReporterMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GMetric.UDPAddressingMode` | `optionalAddressingMode()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### addressingMode

          public String addressingMode

    - #### ttl

          public int ttl

    - #### protocol31

          public boolean protocol31

    - #### hostUUID

          public UUID hostUUID

    - #### spoof

          public String spoof

  - ### Constructor Detail

    - #### GangliaReporterMetrics

          public GangliaReporterMetrics()

  - ### Method Detail

    - #### optionalAddressingMode

          public GMetric.UDPAddressingMode optionalAddressingMode()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.